function f = fRHS(x,r)
% these is the right hand side of the differential equation xDot = f(x)
% the root program finds all fixed/equilibrium points (well, as many as it can)
% of this ODE for each value of r, determines the stability of the fixed
% point and then plots a bifurcation diagram

% f = r+x^2; % saddle-node bifurcation
% f = r*x-x^2; % transcritical bifurcation
f = r*x-x^3; % supercritical pitchfork bifurcation
% f = r*x+x^3-x^5; % subcritical pitchfork bifurcation

end